<template>
  <div id="CreateRule">
    <div class="login-box shadow-sm mb-5 bg-white rounded">
      <div class="p-5">
        <h5>Crea una nueva regla:</h5>
        <form @submit.prevent="addNewRule">
          <input class="form-control form-input" v-model="rule_name" type="text" name="name" id="rule" placeholder="Ingresa una regla" required>
          <div class="mt-4">
           <button type="submit" class="btn btn-primary btn-md w-100">CREAR</button>
         </div>
       </form>
    </div>
  </div>
</div>
</template>

<script>
import { mapState, mapGetters } from 'vuex'
  import { RTDB } from '../main.js';
  export default {
    computed:{
    ...mapGetters(['getCodeFamily']),
  },
    name: 'CreateRule',
    data () {
      return {
        rule_created:false,
        rule_name: "",
        rule_number:0
      };
    },
    methods: {
      addNewRule (submitEvent) {
      //TODO cambiar CODIGODEFAMILIA por el verdadero
      RTDB.ref('family/'+this.getCodeFamily+'/rule/'+this.getNextRuleNumber()).set({
        name:this.rule_name,
      });
      this.rule_name = '';
      this.rule_created=true;
    },
    getNextRuleNumber (){
      let number=0;
      RTDB.ref('family/'+this.getCodeFamily+'/rule').on('value',function (snapshot){
        for (let rule in snapshot.val()){
          number = rule;
        } 
      });
      number++;
      return number;
    }
  },
  created (){
  }
};
</script>
<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.login-box{
  max-width: 480px;
}
.form-input, .form-input:focus{
  border-color: #3C394A;
  border-bottom-width: 2px;
  border-top: 0;
  border-right: 0;
  border-left: 0;
  border-radius: 0;
  box-shadow: none;
  max-width: 100%;
}
.form-input:focus{
  border-color: #009A9A;
}
.btn-primary {
  color: #fff;
  background-color: #009A9A;
  border-color: #009A9A;
}
.btn-primary:hover{
  background-color: #45b5b5 !important;
}

h5, h3 {
  color: #45b5b5;
  font-weight: bold;
}

</style>
